> ## Documentation Index
> Fetch the complete documentation index at: https://docs.xtremepush.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get leaderboard details with rankings

## OpenAPI

````json GET /p2e/players/@me/leaderboards/{id}
{
  "openapi": "3.0.0",
  "info": {
    "title": "Loyalty API",
    "version": "1.0.0",
    "description": "Combined API documentation. Includes: Player API, Admin API, Redeem Options API, Notifications API"
  },
  "servers": [
    {
      "url": "https://{domain}"
    }
  ],
  "tags": [
    {
      "name": "Admin",
      "description": "Endpoint with unlimited access"
    },
    {
      "name": "Users",
      "description": "Endpoint to get information for one or more users"
    },
    {
      "name": "Tokens",
      "description": "Tokens related endpoints"
    },
    {
      "name": "Perks",
      "description": "Perks related endpoints"
    },
    {
      "name": "System",
      "description": "Not business logic information"
    },
    {
      "name": "Quests",
      "description": "Quests related endpoints"
    },
    {
      "name": "Daily",
      "description": "Daily bonus related endpoints"
    },
    {
      "name": "Rewards",
      "description": "Rewards related endpoints"
    },
    {
      "name": "Achievements",
      "description": "Achievements related endpoints"
    },
    {
      "name": "Segments",
      "description": "Segments related endpoints"
    },
    {
      "name": "Reward Rules",
      "description": "Game rules related endpoints"
    },
    {
      "name": "Level Config",
      "description": "Level config related endpoints"
    },
    {
      "name": "Schedule",
      "description": "Schedule related endpoints"
    },
    {
      "name": "Scheduled Events",
      "description": "Scheduled events related endpoints"
    },
    {
      "name": "Leaderboards",
      "description": "Leaderboards related endpoints"
    },
    {
      "name": "Auth",
      "description": "Authorization"
    },
    {
      "name": "Documentation",
      "description": "Documentation"
    },
    {
      "name": "Feedback",
      "description": "Feedback"
    },
    {
      "name": "File System",
      "description": "File System"
    },
    {
      "name": "I18n",
      "description": "Internationalization"
    },
    {
      "name": "Integrations",
      "description": "Integrations"
    },
    {
      "name": "Permissions",
      "description": "Permissions"
    },
    {
      "name": "Rewarder",
      "description": "Rewarder"
    },
    {
      "name": "Widgets",
      "description": "Widgets"
    },
    {
      "name": "Redeem Options",
      "description": ""
    },
    {
      "name": "Redeem Providers",
      "description": ""
    }
  ],
  "x-readme": {},
  "paths": {
    "/p2e/players/@me/leaderboards/{id}": {
      "get": {
        "operationId": "LeaderboardPlayerController_getLeaderboardById",
        "parameters": [
          {
            "name": "id",
            "required": true,
            "in": "path",
            "description": "Leaderboard ID",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "offset",
            "required": false,
            "in": "query",
            "description": "Number of positions to skip",
            "schema": {
              "type": "number"
            }
          },
          {
            "name": "limit",
            "required": false,
            "in": "query",
            "description": "Number of positions to return",
            "schema": {
              "type": "number"
            }
          },
          {
            "name": "Scrimmage-Version",
            "in": "header",
            "description": "Version",
            "required": false,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Returns leaderboard details with positions and rewards",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/PlayerLeaderboardDetailsDTO"
                }
              }
            }
          }
        },
        "security": [
          {
            "bearer": []
          }
        ],
        "summary": "Get leaderboard details with rankings",
        "tags": [
          "Leaderboards"
        ]
      }
    }
  },
  "components": {
    "schemas": {
      "PlayerLeaderboardDetailsDTO": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string"
          },
          "tierAttribute": {
            "type": "string"
          },
          "tierUserLimit": {
            "type": "number"
          },
          "scoreAttribute": {
            "type": "string"
          },
          "rotationIntervalInMinutes": {
            "type": "number"
          },
          "rewards": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/LeaderboardRewardDTO"
            }
          },
          "positions": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/LeaderboardPositionDTO"
            }
          },
          "userPosition": {
            "$ref": "#/components/schemas/LeaderboardPositionDTO"
          },
          "scoreLabel": {
            "type": "string"
          },
          "title": {
            "type": "string"
          },
          "description": {
            "type": "string"
          },
          "onClickRedirect": {
            "type": "string"
          },
          "lastRotationAt": {
            "format": "date-time",
            "type": "string"
          },
          "nextRotationAt": {
            "format": "date-time",
            "type": "string"
          }
        },
        "required": [
          "id",
          "tierAttribute",
          "tierUserLimit",
          "scoreAttribute",
          "rotationIntervalInMinutes",
          "rewards",
          "positions",
          "userPosition",
          "scoreLabel",
          "title",
          "description",
          "onClickRedirect",
          "lastRotationAt",
          "nextRotationAt"
        ]
      },
      "LeaderboardRewardDTO": {
        "type": "object",
        "properties": {
          "rewardBundle": {
            "$ref": "#/components/schemas/RewardBundleDTO"
          },
          "minPosition": {
            "type": "number"
          },
          "maxPosition": {
            "type": "number"
          }
        },
        "required": [
          "rewardBundle",
          "minPosition",
          "maxPosition"
        ]
      },
      "LeaderboardPositionDTO": {
        "type": "object",
        "properties": {
          "userId": {
            "type": "string"
          },
          "score": {
            "type": "number"
          },
          "position": {
            "type": "number"
          },
          "tier": {
            "type": "string"
          }
        },
        "required": [
          "userId",
          "score",
          "position",
          "tier"
        ]
      },
      "RewardBundleDTO": {
        "type": "object",
        "properties": {
          "rewards": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/RewardDTO"
            }
          },
          "modifiers": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/RewardModifierDTO"
            }
          }
        },
        "required": [
          "rewards",
          "modifiers"
        ]
      },
      "RewardDTO": {
        "type": "object",
        "properties": {
          "type": {
            "type": "string"
          },
          "templateFields": {
            "type": "object"
          },
          "config": {
            "type": "object"
          },
          "visibility": {
            "type": "string"
          },
          "amount": {
            "type": "object"
          },
          "weight": {
            "type": "number"
          }
        },
        "required": [
          "type",
          "templateFields",
          "config",
          "visibility",
          "amount",
          "weight"
        ]
      },
      "RewardModifierDTO": {
        "type": "object",
        "properties": {
          "type": {
            "type": "string"
          },
          "config": {
            "type": "object"
          }
        },
        "required": [
          "type",
          "config"
        ]
      }
    },
    "securitySchemes": {
      "bearer": {
        "type": "http",
        "scheme": "bearer",
        "bearerFormat": "JWT"
      }
    }
  }
}
````

